use.china <- ((time>=(1964+((11-1)/12)))&(time<2011))
use.china[year==71&((month==4)|(month==5)|(month==7))] <- F
use.china.id <- na.omit(c(1:length(use.china))[use.china])
use.china.lag <- use.china.id - 1

out.trade.econ.china.like <- ecm(logodds.china.like[use.china.id] 
~ china.news[use.china.lag] + econ[use.china.lag] + china.trade.gdp[use.china.lag] + china.gap[use.china.lag],
~ china.news[use.china.lag] + econ[use.china.lag] + time[use.china.id] + china.trade.gdp[use.china.lag] + china.gap[use.china.lag],
~ china.news[use.china.lag] + log.sample.size[use.china.id], SAMP,llik.normal)

out.trade.econ.china.dislike <- ecm(logodds.china.dislike[use.china.id] 
~ china.news[use.china.lag] + econ[use.china.lag] + china.trade.gdp[use.china.lag] + china.gap[use.china.lag],
~ china.news[use.china.lag] + econ[use.china.lag] + time[use.china.id] + china.trade.gdp[use.china.lag] + china.gap[use.china.lag],
~ china.news[use.china.lag] + log.sample.size[use.china.id], SAMP,llik.normal)


