#######
# China

out.trade.econ.china.like <- ecm(logodds.china.like[use.NK.id] 
~ china.news[use.NK.lag] + econ[use.NK.lag] + china.trade.gdp[use.NK.lag] + china.gap[use.NK.lag],
~ china.news[use.NK.lag] + econ[use.NK.lag] + time[use.NK.id] + china.trade.gdp[use.NK.lag] + china.gap[use.NK.lag],
~ china.news[use.NK.lag] + log.sample.size[use.NK.id], SAMP,llik.normal)

out.trade.econ.china.dislike <- ecm(logodds.china.dislike[use.NK.id] 
~ china.news[use.NK.lag] + econ[use.NK.lag] + china.trade.gdp[use.NK.lag] + china.gap[use.NK.lag],
~ china.news[use.NK.lag] + econ[use.NK.lag] + time[use.NK.id] + china.trade.gdp[use.NK.lag] + china.gap[use.NK.lag],
~ china.news[use.NK.lag] + log.sample.size[use.NK.id], SAMP,llik.normal)


#######
# Korea

out.trade.econ.korea.like <- ecm(logodds.korea.like[use.NK.id] 
~ korea.news[use.NK.lag] + econ[use.NK.lag] + korea.trade.gdp[use.NK.lag] + korea.gap[use.NK.lag],
~ korea.news[use.NK.lag] + econ[use.NK.lag] + time[use.NK.id] + korea.trade.gdp[use.NK.lag] + korea.gap[use.NK.lag],
~ korea.news[use.NK.lag] + log.sample.size[use.NK.id], SAMP,llik.normal)


out.trade.econ.korea.dislike <- ecm(logodds.korea.dislike[use.NK.id] 
~ korea.news[use.NK.lag] + econ[use.NK.lag] + korea.trade.gdp[use.NK.lag] + korea.gap[use.NK.lag],
~ korea.news[use.NK.lag] + econ[use.NK.lag] + time[use.NK.id] + korea.trade.gdp[use.NK.lag] + korea.gap[use.NK.lag],
~ korea.news[use.NK.lag] + log.sample.size[use.NK.id], SAMP,llik.normal)

#############
# North Korea

out.trade.econ.NK.dislike <- ecm(logodds.NK.dislike[use.NK.id] 
~ NK.news[use.NK.lag] + econ[use.NK.lag] + NK.trade.gdp[use.NK.lag],
~ NK.news[use.NK.lag] + econ[use.NK.lag] + time[use.NK.id] + NK.trade.gdp[use.NK.lag],
~ NK.news[use.NK.lag] + log.sample.size[use.NK.id], SAMP,llik.normal)

out.trade.econ.all <- cbind(
report(out.trade.econ.china.like)[,c(1,2,5)],
report(out.trade.econ.china.dislike)[,c(1,2,5)],
report(out.trade.econ.korea.like)[,c(1,2,5)],
report(out.trade.econ.korea.dislike)[,c(1,2,5)])
