mean.korea.dislike <-  mean(logodds.korea.dislike[use.NK.id])
mean.korea.news <-  mean(korea.news[use.NK.lag])
sd.korea.news <-  sd(korea.news[use.NK.lag])*sd.times
mean.korea.trade.gdp <-  mean(korea.trade.gdp[use.NK.lag])
mean.korea.gap <-  mean(korea.gap[use.NK.lag])
mean.econ <-  mean(econ[use.NK.lag])
mean.sample <-  mean(log.sample.size[use.NK.id])
mean.time <-  mean(time[use.NK.id])

mean.korea.dislike
logit(mean.korea.dislike)
mean.korea.news
sd.korea.news
mean.korea.trade.gdp
mean.korea.gap
mean.econ
mean.sample
mean.time

x1 <- c(1,sd.korea.news,0,0,0,(mean.korea.news+sd.korea.news),mean.econ,mean.time,mean.korea.trade.gdp,mean.korea.gap)
x0 <- c(1,0,            0,0,0, mean.korea.news,               mean.econ,mean.time,mean.korea.trade.gdp,mean.korea.gap)
z1 <- c(1,(mean.korea.news+sd.korea.news),mean.sample)
z0 <- c(1,mean.korea.news,mean.sample)
k <- length(x1)
k2 <- length(z1)

beta <- out.trade.econ.korea.dislike$par[1:k]
delta <- out.trade.econ.korea.dislike$par[k+1]
eta <- out.trade.econ.korea.dislike$par[(k+2):(k+k2+1)]
y.eq <- (x0%*%beta)/(1-delta)
#y.eq <- mean.korea.dislike
mu1 <- (x1%*%beta)+(y.eq*delta)
mu0 <- (x0%*%beta)+(y.eq*delta)
sigma2.1 <- exp(z1%*%eta)
sigma2.0 <- exp(z0%*%eta)

logit(mu1)*100
logit(mu0)*100
logit(mu1+(2*sigma2.1))*100
logit(mu0+(2*sigma2.0))*100
logit(mu1-(2*sigma2.1))*100
logit(mu0-(2*sigma2.0))*100
sigma2.1
sigma2.0

obs <- 24+1
y <- matrix(NA,obs,6)
y[1,] <- y.eq
y[2,1] <- mu0-(2*sigma2.0)
y[2,2] <- mu0
y[2,3] <- mu0+(2*sigma2.0)
y[2,4] <- mu1-(2*sigma2.1)
y[2,5] <- mu1
y[2,6] <- mu1+(2*sigma2.1)

t <- 3
#x2 <- c(1,-sd.korea.news,0,mean.korea.news,mean.econ,mean.time)
 x2 <- c(1,-sd.korea.news,0,0,0, mean.korea.news,mean.econ,mean.time,mean.korea.trade.gdp,mean.korea.gap)

x0[8] <- x0[8]+(1/12)
x2[8] <- x2[8]+(1/12)
y.lag <- y[(t-1),]
x <- rbind(x0,x0,x0,x2,x2,x2)
y[t,]<- (x%*%beta)+(y.lag*delta)

for(t in 4:obs){
x0[8] <- x0[8]+(1/12)
x <- rbind(x0,x0,x0,x0,x0,x0)
y.lag <- y[(t-1),]
y[t,]<- (x%*%beta)+(y.lag*delta)
}

xaxis <- c(0:(obs-1))
y.korea.dislike <- logit(y)*100
logit(mean.korea.dislike)*100

jpeg(file="simulation.jpeg")
plot(xaxis,y.korea.dislike[,2],ylim=c(min(y.korea.dislike),max(y.korea.dislike)),type='l',main="}6 񓹗ʂ̌ʂ̃V~[V",xlab="oߌ",ylab="؍̌xij")
polygon(c(xaxis,rev(xaxis)),c(y.korea.dislike[,4],rev(y.korea.dislike[,6])),col="gray")
polygon(c(xaxis,rev(xaxis)),c(y.korea.dislike[,1],rev(y.korea.dislike[,3])),density=10)
lines(xaxis,y.korea.dislike[,2])
#lines(xaxis,y.korea.dislike[,1],lty=2)
#lines(xaxis,y.korea.dislike[,3],lty=2)
#lines(xaxis,y.korea.dislike[,4],lty=2,lwd=4)
lines(xaxis,y.korea.dislike[,5],lwd=4)
#lines(xaxis,y.korea.dislike[,6],lty=2,lwd=4)
legend(3,19,c("񓹗ʂ1ڂ̂ݑ","񓹗ʂϒl̂܂"),lwd=c(3,1))
dev.off()


